RNAstructure_java_utilities

## Class ImageGrabber

- java.lang.Object
- - RNAstructure_java_utilities.ImageGrabber

All Implemented Interfaces:
  Serializable

    public class ImageGrabber
    extends Object
    implements Serializable

A class that creates images in various contexts for the RNAstructure GUI.

See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID`

### Constructor Summary

Constructors
Constructor and Description
`ImageGrabber()`

### Method Summary

Methods
`static BufferedImage` `getImage(String path)` Create an image.
`static ImageIcon` `getImageIcon(String path)` Create an image icon.
`static JLabel` `getImageLabel(String path)` Create an image label.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### ImageGrabber

    public ImageGrabber()

### Method Detail

#### getImage

    public static BufferedImage getImage(String path)
                                  throws IOException

Create an image.

Parameters:
  `path` - The path to the image.
Returns:
  The image.
Throws:
  `IOException` - If an image cannot be read correctly. Since all image paths are hard coded, this should never be thrown.

#### getImageIcon

    public static ImageIcon getImageIcon(String path)
                                  throws IOException

Create an image icon.

Parameters:
  `path` - The path to the image.
Returns:
  The image icon.
Throws:
  `IOException` - If an image cannot be read correctly. Since all image paths are hard coded, this should never be thrown.

#### getImageLabel

    public static JLabel getImageLabel(String path)
                                throws IOException

Create an image label.

Parameters:
  `path` - The path to the image.
Returns:
  The image label.
Throws:
  `IOException` - If an image cannot be read correctly. Since all image paths are hard coded, this should never be thrown.